root.expr {xps} | R Documentation

## Create class ExprTreeSet accessing ROOT expression file

### Description

Create class ExprTreeSet accessing ROOT expression file.

### Usage

    root.expr(xps.scheme, rootfile = character(0), treetype = character(0), treenames = "*")

### Arguments

`xps.scheme` | A `SchemeTreeSet` containing the correct scheme for the ROOT data file.
`rootfile` | name of ROOT data file, including full path.
`treetype` | tree type.
`treenames` | optional `character` vector of tree names to get only subset of trees.

### Details

An S4 class `ExprTreeSet` will be created, serving as R wrapper to the existing `ROOT` expression file `rootfile`.

Parameter `treetype` must be supplied to identify the ROOT trees for slot `data`. Valid tree types are listed in `validTreetype`.

To get the names of all trees with their extensions `treetype`, which are stored in `rootfile`, you can call function `getTreeNames` first.

If the `ExprTreeSet` should only handle a subset of the trees stored in `rootfile`, the tree names must be supplied as vector `treenames`.

### Value

A `ExprTreeSet` object.

### Author(s)

Christian Stratowa

### See Also

`root.data`, `root.call`

### Examples

    ## first, load ROOT scheme file and ROOT data file
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

    # rma
    all.rma <- rma(data.test3,"tmp_Test3RMAAll",tmpdir="",background="pmonly",normalize=TRUE,verbose=FALSE)

    ## use subset of trees
    sub.rma <- root.expr(scheme.test3, "tmp_Test3RMAAll.root", "mdp", c("TestA2.mdp", "TestB1"))

[Package xps version 1.2.10 Index]